Foreman - Feature #685

hosts per page should be configurable
Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Web Interface

Target version:

0.4

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Associated revisions

Revision 454fd3af - 07/18/2011 07:07 AM - Ohad Levy

fixes #685 - records per page should be configurable

This patch adds a new setting how many records should be per page.

note that since the code is in the ActiveRecord::Base class, and that

its in lib (e.g. loaded once) you would need to restart foreman everytime you change this value.

we could switch to require_depenecy or other solutions if required.

History

#1 - 06/19/2011 04:08 AM - Ohad Levy

see a similar implementation for reports, maybe this could be generalized for all pages.

#2 - 07/18/2011 07:07 AM - Ohad Levy
- Category set to Web Interface
- Assignee set to Ohad Levy

- Target version set to 0.4

#3 - 07/18/2011 07:29 AM - Ohad Levy
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 454fd3afc25af90a0895e21a64657d44c9f33d28.
